net.minecraft.world.gen

## Class ChunkProviderGenerate

- java.lang.Object
- - net.minecraft.world.gen.ChunkProviderGenerate

- All Implemented Interfaces:
    IChunkProvider

      public class ChunkProviderGenerate
      extends java.lang.Object
      implements IChunkProvider

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NoiseGeneratorOctaves` | `mobSpawnerNoise`
    `NoiseGeneratorOctaves` | `noiseGen5`
    `NoiseGeneratorOctaves` | `noiseGen6`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkProviderGenerate(World par1World, long par2, boolean par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canSave()`
    `boolean` | `chunkExists(int par1, int par2)`
    `ChunkPosition` | `func_147416_a(World p_147416_1_, java.lang.String p_147416_2_, int p_147416_3_, int p_147416_4_, int p_147416_5_)`
    `void` | `func_147424_a(int p_147424_1_, int p_147424_2_, Block[] p_147424_3_)`
    `int` | `getLoadedChunkCount()`
    `java.util.List` | `getPossibleCreatures(EnumCreatureType par1EnumCreatureType, int par2, int par3, int par4)`
    `Chunk` | `loadChunk(int par1, int par2)`
    `java.lang.String` | `makeString()`
    `void` | `populate(IChunkProvider par1IChunkProvider, int par2, int par3)`
    `Chunk` | `provideChunk(int par1, int par2)`
    `void` | `recreateStructures(int par1, int par2)`
    `void` | `replaceBlocksForBiome(int p_147422_1_, int p_147422_2_, Block[] p_147422_3_, byte[] p_147422_4_, BiomeGenBase[] p_147422_5_)`
    `boolean` | `saveChunks(boolean par1, IProgressUpdate par2IProgressUpdate)`
    `void` | `saveExtraData()`
    `boolean` | `unloadQueuedChunks()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### noiseGen5

          public NoiseGeneratorOctaves noiseGen5

    - #### noiseGen6

          public NoiseGeneratorOctaves noiseGen6

    - #### mobSpawnerNoise

          public NoiseGeneratorOctaves mobSpawnerNoise

  - ### Constructor Detail

    - #### ChunkProviderGenerate

          public ChunkProviderGenerate(World par1World,
                               long par2,
                               boolean par4)

  - ### Method Detail

    - #### func_147424_a

          public void func_147424_a(int p_147424_1_,
                           int p_147424_2_,
                           Block[] p_147424_3_)

    - #### replaceBlocksForBiome

          public void replaceBlocksForBiome(int p_147422_1_,
                                   int p_147422_2_,
                                   Block[] p_147422_3_,
                                   byte[] p_147422_4_,
                                   BiomeGenBase[] p_147422_5_)

    - #### loadChunk

          public Chunk loadChunk(int par1,
                        int par2)

      Specified by:
        `loadChunk` in interface `IChunkProvider`

    - #### provideChunk

          public Chunk provideChunk(int par1,
                           int par2)

      Specified by:
        `provideChunk` in interface `IChunkProvider`

    - #### chunkExists

          public boolean chunkExists(int par1,
                            int par2)

      Specified by:
        `chunkExists` in interface `IChunkProvider`

    - #### populate

          public void populate(IChunkProvider par1IChunkProvider,
                      int par2,
                      int par3)

      Specified by:
        `populate` in interface `IChunkProvider`

    - #### saveChunks

          public boolean saveChunks(boolean par1,
                           IProgressUpdate par2IProgressUpdate)

      Specified by:
        `saveChunks` in interface `IChunkProvider`

    - #### saveExtraData

          public void saveExtraData()

      Specified by:
        `saveExtraData` in interface `IChunkProvider`

    - #### unloadQueuedChunks

          public boolean unloadQueuedChunks()

      Specified by:
        `unloadQueuedChunks` in interface `IChunkProvider`

    - #### canSave

          public boolean canSave()

      Specified by:
        `canSave` in interface `IChunkProvider`

    - #### makeString

          public java.lang.String makeString()

      Specified by:
        `makeString` in interface `IChunkProvider`

    - #### getPossibleCreatures

          public java.util.List getPossibleCreatures(EnumCreatureType par1EnumCreatureType,
                                            int par2,
                                            int par3,
                                            int par4)

      Specified by:
        `getPossibleCreatures` in interface `IChunkProvider`

    - #### func_147416_a

          public ChunkPosition func_147416_a(World p_147416_1_,
                                    java.lang.String p_147416_2_,
                                    int p_147416_3_,
                                    int p_147416_4_,
                                    int p_147416_5_)

      Specified by:
        `func_147416_a` in interface `IChunkProvider`

    - #### getLoadedChunkCount

          public int getLoadedChunkCount()

      Specified by:
        `getLoadedChunkCount` in interface `IChunkProvider`

    - #### recreateStructures

          public void recreateStructures(int par1,
                                int par2)

      Specified by:
        `recreateStructures` in interface `IChunkProvider`